/* Header file for msg.c */

#ifndef MSG_H
#define MSG_H 1

struct syslogmsg {
  char *msg;
  int urgency;

  struct syslogmsg *next;
  struct syslogmsg *prev;
};

/* The syslogmsg list. Each message recived from syslog is put in this list.
   Whenever we are told to print the syslog this list is read out and printed.
*/
extern struct syslogmsg *syslogmsglist;

/* The number of messages in the msg list. */
extern int nummsgs;

/* The highest urgency level of any message recived since the last report was
   sent.
*/
extern int maxurgency;

void addmsg(struct syslogmsg *newmsg);
void delmsg(struct syslogmsg *msg);

#endif /* msg.h */
